---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libfollowref006.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3D00, symSize: 0x270 }
  - { offsetInCU: 0x465, offset: 0x465, size: 0x8, addend: 0x0, symName: _g_fakeUserData, symObjAddr: 0x50B60, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x47A, offset: 0x47A, size: 0x8, addend: 0x0, symName: _g_userDataError, symObjAddr: 0x50B64, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x48F, offset: 0x48F, size: 0x8, addend: 0x0, symName: _g_wrongHeapCallbacks, symObjAddr: 0x50B68, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0xAFD, offset: 0xAFD, size: 0x8, addend: 0x0, symName: _g_refKindStr, symObjAddr: 0xE2F0, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0xB23, offset: 0xB23, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50BF0, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0xB4A, offset: 0xB4A, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52B30, symBinAddr: 0xE1A0, symSize: 0x0 }
  - { offsetInCU: 0xB6C, offset: 0xB6C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52F20, symBinAddr: 0xE590, symSize: 0x0 }
  - { offsetInCU: 0xB8E, offset: 0xB8E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53EC0, symBinAddr: 0xF530, symSize: 0x0 }
  - { offsetInCU: 0xBA3, offset: 0xBA3, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53ED0, symBinAddr: 0xF540, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50870, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC29, offset: 0xC29, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50874, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xC34, offset: 0xC34, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50878, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC79, offset: 0xC79, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x509D0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xCF2, offset: 0xCF2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50A88, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xD10, offset: 0xD10, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50A8C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xD29, offset: 0xD29, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50A90, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xD42, offset: 0xD42, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50A94, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xD5B, offset: 0xD5B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50A98, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x934A, offset: 0x934A, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50AA0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x93D3, offset: 0x93D3, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50AB0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50AB8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9405, offset: 0x9405, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50AC0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x941E, offset: 0x941E, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50AC8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9437, offset: 0x9437, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50AD0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9451, offset: 0x9451, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50AD8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9537, offset: 0x9537, size: 0x8, addend: 0x0, symName: __ZL9g_timeout, symObjAddr: 0x50B20, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9589, offset: 0x9589, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x29A0, symSize: 0x80 }
  - { offsetInCU: 0x961E, offset: 0x961E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x28F0, symSize: 0xB0 }
  - { offsetInCU: 0x9679, offset: 0x9679, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x27F0, symSize: 0x100 }
  - { offsetInCU: 0x990C, offset: 0x990C, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2A20, symSize: 0xC0 }
  - { offsetInCU: 0x995E, offset: 0x995E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2AE0, symSize: 0x220 }
  - { offsetInCU: 0x9B43, offset: 0x9B43, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2D00, symSize: 0xA0 }
  - { offsetInCU: 0x9BF6, offset: 0x9BF6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2DA0, symSize: 0x110 }
  - { offsetInCU: 0x9CEC, offset: 0x9CEC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2EB0, symSize: 0x150 }
  - { offsetInCU: 0x9E49, offset: 0x9E49, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3000, symSize: 0x30 }
  - { offsetInCU: 0x9ED2, offset: 0x9ED2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3030, symSize: 0x150 }
  - { offsetInCU: 0xA0CA, offset: 0xA0CA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3180, symSize: 0x160 }
  - { offsetInCU: 0xA38A, offset: 0xA38A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x32E0, symSize: 0x4A0 }
  - { offsetInCU: 0xA5FD, offset: 0xA5FD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3780, symSize: 0x1B0 }
  - { offsetInCU: 0xA818, offset: 0xA818, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3930, symSize: 0xA0 }
  - { offsetInCU: 0xA8E7, offset: 0xA8E7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x39D0, symSize: 0x20 }
  - { offsetInCU: 0xA91E, offset: 0xA91E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x39F0, symSize: 0x20 }
  - { offsetInCU: 0xA955, offset: 0xA955, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3A10, symSize: 0x20 }
  - { offsetInCU: 0xAAC4, offset: 0xAAC4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3A30, symSize: 0x1A0 }
  - { offsetInCU: 0xADE0, offset: 0xADE0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3BD0, symSize: 0x130 }
  - { offsetInCU: 0xAF90, offset: 0xAF90, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3F70, symSize: 0x1B0 }
  - { offsetInCU: 0xB27F, offset: 0xB27F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4120, symSize: 0x80 }
  - { offsetInCU: 0xB348, offset: 0xB348, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x41A0, symSize: 0x6A0 }
  - { offsetInCU: 0xBEDD, offset: 0xBEDD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA470, symBinAddr: 0x5B60, symSize: 0xB0 }
  - { offsetInCU: 0xBF54, offset: 0xBF54, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4840, symSize: 0x70 }
  - { offsetInCU: 0xC010, offset: 0xC010, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x48B0, symSize: 0xA0 }
  - { offsetInCU: 0xC0EF, offset: 0xC0EF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4950, symSize: 0x40 }
  - { offsetInCU: 0xC1E5, offset: 0xC1E5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4990, symSize: 0x2B0 }
  - { offsetInCU: 0xC58B, offset: 0xC58B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4C40, symSize: 0xC0 }
  - { offsetInCU: 0xC6D1, offset: 0xC6D1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4D00, symSize: 0x10 }
  - { offsetInCU: 0xC793, offset: 0xC793, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4D10, symSize: 0x220 }
  - { offsetInCU: 0xCA52, offset: 0xCA52, size: 0x8, addend: 0x0, symName: _printHeapRefCallbackInfo, symObjAddr: 0x6730, symBinAddr: 0x4F30, symSize: 0x150 }
  - { offsetInCU: 0xCC03, offset: 0xCC03, size: 0x8, addend: 0x0, symName: _wrongHeapReferenceCallback, symObjAddr: 0x6880, symBinAddr: 0x5080, symSize: 0xD0 }
  - { offsetInCU: 0xCD4A, offset: 0xCD4A, size: 0x8, addend: 0x0, symName: _wrongPrimitiveFieldCallback, symObjAddr: 0x6950, symBinAddr: 0x5150, symSize: 0x90 }
  - { offsetInCU: 0xCE27, offset: 0xCE27, size: 0x8, addend: 0x0, symName: _wrongArrayPrimitiveValueCallback, symObjAddr: 0x69E0, symBinAddr: 0x51E0, symSize: 0x90 }
  - { offsetInCU: 0xCF04, offset: 0xCF04, size: 0x8, addend: 0x0, symName: _wrongStringPrimitiveValueCallback, symObjAddr: 0x6A70, symBinAddr: 0x5270, symSize: 0x80 }
  - { offsetInCU: 0xD015, offset: 0xD015, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x52F0, symSize: 0x10 }
  - { offsetInCU: 0xD072, offset: 0xD072, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5300, symSize: 0x260 }
  - { offsetInCU: 0xD337, offset: 0xD337, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E70, symBinAddr: 0x5560, symSize: 0x10 }
  - { offsetInCU: 0xD429, offset: 0xD429, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E80, symBinAddr: 0x5570, symSize: 0x5F0 }
  - { offsetInCU: 0xDC80, offset: 0xDC80, size: 0x8, addend: 0x0, symName: __ZL18checkNoObjIteratedP7JNIEnv_P9_jvmtiEnvPKc, symObjAddr: 0xA890, symBinAddr: 0x5F80, symSize: 0x12A }
  - { offsetInCU: 0xDE52, offset: 0xDE52, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA520, symBinAddr: 0x5C10, symSize: 0x370 }
...
